fcf.module({
  name: "fcfControls:templates/text.wrapper.js",
  dependencies: ["fcf:NClient/Wrapper.js"],
  module: function(Wrapper){
    return class TextWrapper extends Wrapper{

      constructor(a_initializeOptions){
        super(a_initializeOptions);
      }

      onArg(){
        this.update();
      }

      setArg(a_value){
        this.prototype.setArg.call(this, a_value);
        this.getDomElement().innerHTML = a_value;
      }
    };
  }
});
